		<!-- JS Status request -->
		<script>
			var idAlertChanges = 'alertChanges',
				loading = false,
				refHome = '(@_BACK_REF_@)'; // ...

			setInterval(function () {
				statusService();
			}, 2000);

			// XMLHttpRequest
			function statusService() {
				var xhr = new XMLHttpRequest();
				xhr.timeout = 1500;
				xhr.open('POST', 'http://localhost:(@_SERVICE_PORT_@)/status', true); // ...
				xhr.onreadystatechange = function () {
					if (xhr.readyState === 4) {
						if (xhr.status === 200) {
							if (xhr.responseText) {
								var res = JSON.parse(xhr.responseText);
								if (res.status == 'alert') {
									alertChanges();
								} else if (res.status == 'building') {
									modalLoader();
								} else if (res.status == 'reload') {
									location.reload();
								} else if (res.status == 'home') {
									window.location.replace(refHome + 'index.html');
								}
							}
						} else if (!loading) {
							modalLoader();
						}
					}
				};
				xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded; charset=UTF-8');
				xhr.send(JSON.stringify({ ref: refHome, status: "(@_PAGE_INDEX_FILE_@)" })); // ...
			}

			// Alert on changes
			function alertChanges() {
				var el = document.createElement('div'),
					color = '#FFA500';
				el.id = idAlertChanges;
				el.style.position = 'fixed';
				el.style.zIndex = 1;
				el.style.top = 0;
				el.style.left = 0;
				el.style.width = '100%';
				el.style.backgroundColor = color;
				el.style.color = '#111111';
				el.style.fontWeight = 700;
				el.style.textAlign = 'center';
				el.textContent = '* press Enter on terminal to update changes *';
				document.body.style.paddingTop = '16px';
				document.body.style.borderLeft = '5px solid ' + color;
				document.body.style.borderRight = '5px solid ' + color;
				document.body.prepend(el);
			}

			// Modal loader on building changes
			function modalLoader() {
				if (document.getElementById(idAlertChanges) != null) {
					document.getElementById(idAlertChanges).remove();
				}
				var el = document.createElement('div');
				el.style.position = 'fixed';
				el.style.zIndex = 2;
				el.style.top = 0;
				el.style.left = 0;
				el.style.opacity = 0.6;
				el.style.width = '100%';
				el.style.height = '100vh';
				el.style.backgroundColor = '#FFFFFF';
				el.style.backgroundImage = "url('(@_BACK_REF_@)../var/loader.svg')"; // ...
				el.style.backgroundRepeat = 'no-repeat';
				el.style.backgroundPosition = 'center';
				el.style.backgroundSize = "64px";
				document.body.prepend(el);
				loading = true;
			}
		</script>
		<!-- /JS Status request -->
